package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.GamePromoteDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteDayTotalDTO;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteTotalDTO;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteDayTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteDayVO;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteTotalVO;
import com.zanxiang.game.data.serve.utils.Page;

public interface IAccountAgentDayService {
    /**
     * 推广每日数据
     * @param dto
     * @return
     */
    Page<GamePromoteDayVO> accountAgentDay(GamePromoteDayDTO dto);

    /**
     * 推广每日数据总计栏
     * @param dto
     * @return
     */
    GamePromoteDayTotalVO accountAgentDayTotal(GamePromoteDayTotalDTO dto);

    /**
     * 推广总数据
     * @param dto
     * @return
     */
    Page<GamePromoteTotalVO> accountAgentTotal(GamePromoteTotalDTO dto);
}
