package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.GameDataDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.GameDataTotalDTO;
import com.zanxiang.game.data.serve.pojo.dto.GameDataWaterDTO;
import com.zanxiang.game.data.serve.pojo.vo.GameDataDayVO;
import com.zanxiang.game.data.serve.pojo.vo.GameDataTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.GameDataWaterVO;
import com.zanxiang.game.data.serve.utils.Page;

public interface IGameDataService {

    /**
     * 游戏每日数据
     * @param dto
     * @return
     */
    Page<GameDataDayVO> getGameDataDay(GameDataDayDTO dto);

    /**
     * 游戏总数据
     * @param dto
     * @return
     */
    Page<GameDataTotalVO> getGameDataTotal(GameDataTotalDTO dto);

    Page<GameDataWaterVO> getGameDataWater(GameDataWaterDTO dto);
}
